Skip to Content

Get a flow

Returns one flow by its ID. Request: GET /v1/whatsapp/flows/{id}. Scope: templates:read.

GET
/v1/whatsapp/flows/{id}

Returns one flow by its ID.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^waflow_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

WhatsAppFlow

application/json
  1. response
id*WhatsAppFlowId
Match^waflow_[0-9a-hjkmnp-tv-z]{16,24}$
projectId*TemplateProjectId
Match^tproj_[0-9a-hjkmnp-tv-z]{16,24}$
handle*string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Lengthlength <= 64
path*string
categories*array<>
endpoint*|null
currentVersion*|null
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.whatsappFlows.get({
  "id": "example"
});
Example Response
{
  "id": "string",
  "projectId": "string",
  "handle": "string",
  "path": "string",
  "categories": [
    "SIGN_UP"
  ],
  "endpoint": {
    "url": "string",
    "updatedAt": "string"
  },
  "currentVersion": {
    "id": "string",
    "flowId": "string",
    "number": -9007199254740991,
    "commitSha": "string",
    "digest": "string",
    "jsonVersion": "string",
    "screens": [
      "string"
    ],
    "dataExchange": true,
    "createdAt": "string"
  },
  "createdAt": "string",
  "updatedAt": "string"
}

Related documentation